Update a tag assignment
curl --request PATCH \
--url https://app.unitedlogistics.com.do/api/v1/paso-rapido/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag_number": 123,
"has_gps": true,
"vehicle_external_id": 123,
"vehicle_title": "<string>",
"vehicle_license_plate": "<string>",
"category": 3,
"assignment_category": "<string>",
"date": "<string>",
"issued_at": "<string>",
"expires_at": "<string>",
"notes": "<string>"
}
'import requests
url = "https://app.unitedlogistics.com.do/api/v1/paso-rapido/tags/{id}"
payload = {
"tag_number": 123,
"has_gps": True,
"vehicle_external_id": 123,
"vehicle_title": "<string>",
"vehicle_license_plate": "<string>",
"category": 3,
"assignment_category": "<string>",
"date": "<string>",
"issued_at": "<string>",
"expires_at": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tag_number: 123,
has_gps: true,
vehicle_external_id: 123,
vehicle_title: '<string>',
vehicle_license_plate: '<string>',
category: 3,
assignment_category: '<string>',
date: '<string>',
issued_at: '<string>',
expires_at: '<string>',
notes: '<string>'
})
};
fetch('https://app.unitedlogistics.com.do/api/v1/paso-rapido/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tag_number": 123,
"has_gps": true,
"vehicle_external_id": 123,
"vehicle_title": "<string>",
"vehicle_license_plate": "<string>",
"category": 123,
"assignment_category": "<string>",
"type": "<string>",
"date": "<string>",
"issued_at": "<string>",
"expires_at": "<string>",
"status": "<string>",
"notes": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}Paso Rápido
Update a tag assignment
Partially updates a tag assignment. Changing has_gps or any vehicle field re-normalizes the GPS/manual vehicle fields together.
PATCH
/
paso-rapido
/
tags
/
{id}
Update a tag assignment
Authorizations
Authorization: Bearer ulk__. Cree la clave en Configuración → API.
Path Parameters
Pattern:
^\d+$Body
application/json
Maximum string length:
200Maximum string length:
50Required range:
1 <= x <= 5Maximum string length:
200Available options:
corporativo, prepago Available options:
Valido, Inhabilitado Response
OK
Show child attributes
Show child attributes
⌘I
